=== debian/changelog ===
tremotesf (2.7.4-1) unstable; urgency=medium

  * New upstream  release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2024 09:26:18 -0500
