=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 include(CTest)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(TREMOTESF_COMMON_TARGET_PROPERTIES AUTOMOC ON AUTORCC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
 
 find_package(Threads REQUIRED)
 find_package(fmt 9.1 REQUIRED)
@@ -376,3 +377,4 @@
         target_sources(tremotesf PRIVATE tremotesf.manifest.rc)
     endif ()
     if (MSVC)
+        # For C++23's std::stacktrace
