=== debian/changelog ===
tremotesf (2.7.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1092850)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Jan 2025 17:20:18 -0500
