## tremotesf 2.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     list(APPEND languages OBJCXX)
 endif ()
 
-project(tremotesf VERSION 2.7.5 LANGUAGES ${languages})
+project(tremotesf VERSION 2.8.2 LANGUAGES ${languages})
 
 option(TREMOTESF_QT6 "Build with Qt 6" ON)
 option(TREMOTESF_ASAN "Build with AddressSanitizer" OFF)
