=== debian/changelog ===
tremotesf (2.8.2-1) unstable; urgency=medium

  * new upstream release: "Crash when failing to parse server response as
    JSON"

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 22 Apr 2025 08:58:54 -0400

tremotesf (2.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 14 Apr 2025 09:52:56 -0400
