=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DTREMOTESF_WITH_HTTPLIB=system -DTREMOTESF_QT6=off
