=== packaging/windows/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2024 Alexey Rochev
+# SPDX-FileCopyrightText: 2015-2025 Alexey Rochev
 #
 # SPDX-License-Identifier: CC0-1.0
 
@@ -10,6 +10,8 @@
 set(CPACK_PACKAGE_EXECUTABLES "tremotesf;Tremotesf")
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Tremotesf")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.rtf")
+set(CPACK_WIX_VERSION 4)
+set(CPACK_WIX_INSTALL_SCOPE perMachine)
 set(CPACK_WIX_UPGRADE_GUID "67e0511b-d9de-4b3c-a604-0dd47522d451")
 set(CPACK_WIX_PRODUCT_ICON "${TREMOTESF_WINDOWS_ICON}")
 set(CPACK_WIX_EXTRA_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/registry.wxs")
